Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Deadline_Message_Strategy Class Reference

Deadline based message priority strategy. More...

`#include <Message_Block.h>`

Inheritance diagram for ACE_Deadline_Message_Strategy

[legend]
Collaboration diagram for ACE_Deadline_Message_Strategy:

[legend]
List of all members.

## Public Methods
| ACE_Deadline_Message_Strategy (u_long static_bit_field_mask = 0x3FFUL, u_long static_bit_field_shift = 10, u_long dynamic_priority_max = 0x3FFFFFUL, u_long dynamic_priority_offset = 0x200000UL)
| Ctor, with all arguments defaulted.
virtual | ~ACE_Deadline_Message_Strategy (void)
| Virtual dtor.
virtual void | convert_priority (ACE_Time_Value &priority, const ACE_Message_Block &mb)
| Dynamic priority conversion function based on time to deadline.
virtual void | dump (void) const
| Dump the state of the strategy.

## Detailed Description

Deadline based message priority strategy.

Assigns dynamic message priority according to time to deadline. The message priority is divided into high and low order bit fields. The high order bit field is used for dynamic message priority, which is updated whenever the convert_priority (...) method is called. The low order bit field is used for static message priority and is left unchanged. The partitioning of the priority value into high and low order bit fields is done according to the arguments passed to the strategy object's constructor.

## Constructor & Destructor Documentation

ACE_Deadline_Message_Strategy::ACE_Deadline_Message_Strategy ( | u_long static_bit_field_mask = 0x3FFUL,
| u_long static_bit_field_shift = 10,
| u_long dynamic_priority_max = 0x3FFFFFUL,
| u_long dynamic_priority_offset = 0x200000UL )

| Ctor, with all arguments defaulted.

ACE_Deadline_Message_Strategy::~ACE_Deadline_Message_Strategy ( | void )`[virtual]`

| Virtual dtor.

## Member Function Documentation

ACE_INLINE void ACE_Deadline_Message_Strategy::convert_priority ( | ACE_Time_Value & priority,
| const ACE_Message_Block & mb )`[virtual]`

| Dynamic priority conversion function based on time to deadline. Reimplemented from ACE_Dynamic_Message_Strategy.

void ACE_Deadline_Message_Strategy::dump ( | void ) const`[virtual]`

| Dump the state of the strategy. Reimplemented from ACE_Dynamic_Message_Strategy.

The documentation for this class was generated from the following files:

- Message_Block.h
- Message_Block.cpp
- Message_Block.i